## org.eclipse.ocl
Class AbstractEnvironment.VariableEntry

    java.lang.Object
      org.eclipse.ocl.AbstractEnvironment.VariableEntry

Enclosing class:
  AbstractEnvironment<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E>

    protected final class AbstractEnvironment.VariableEntry

extends Object

Wrapper for OCL variable declarations that additionally tracks whether they are explicit or implicit variables.

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.